Skip to content
API Reference

List Identities

organizations.list_identities(strorganization_id, OrganizationListIdentitiesParams**kwargs) -> OrganizationListIdentitiesResponse
GET/organizations/{organization_id}/identities

List unified view of users and invitations in an organization

ParametersExpand Collapse
organization_id: str

Organization ID or label identifier

minLength1
maxLength255
after: Optional[str]

Cursor for forward pagination

minLength1
maxLength255
before: Optional[str]

Cursor for backward pagination

minLength1
maxLength255
expand: Optional[List[Literal["permissions", "total_count"]]]

Fields to expand in the response. Supports "permissions" to include the permissions field with the caller's permissions for the resource. For list organization identities only, "total_count" populates pagination.total_count with the number of identities matching the same filters as the list (excluding cursor and limit). Other operations ignore expand values they do not use.

Accepts one of the following:
"permissions"
"total_count"
limit: Optional[int]

Maximum number of identities to return

minimum1
maximum100
query_email: Optional[str]

Search identities by email substring (case-insensitive)

minLength1
maxLength255
role: Optional[OrganizationRole]

Filter identities by role

Accepts one of the following:
"org_admin"
"org_member"
"org_viewer"
x_client_request_id: Optional[str]
formatuuid
ReturnsExpand Collapse
class OrganizationListIdentitiesResponse:

List of identities (users and invitations) in an organization

items: List[Item]
id: str

The identity ID (user or invitation)

minLength1
maxLength255
created_at: datetime

The time the entity was created in utc

formatdate-time
email: str

Email address of the identity

formatemail

Role in the organization

Accepts one of the following:
"org_admin"
"org_member"
"org_viewer"
source: str

Identity provider issuer

formaturi
status: Literal["active", "disabled", "pending", 3 more]

Status of the identity (OrganizationStatus for users, InvitationStatus for invitations)

Accepts one of the following:
"active"
"disabled"
"pending"
"accepted"
"expired"
"revoked"
type: Literal["user", "invitation"]

Type of identity (user or invitation)

Accepts one of the following:
"user"
"invitation"
updated_at: datetime

The time the entity was mostly recently updated in utc

formatdate-time
permissions: Optional[Dict[str, Dict[str, bool]]]

Permissions granted to the authenticated principal for this resource. Only populated when the 'expand[]=permissions' query parameter is provided. Keys are resource types (e.g., "organizations"), values are objects mapping permission names to boolean values indicating if the permission is granted.

page_info: PageInfoCursor

Pagination information using cursor-based pagination

has_next_page: bool

Whether there are more items after the current page

has_prev_page: bool

Whether there are more items before the current page

end_cursor: Optional[str]

Cursor pointing to the last item in the current page

minLength1
maxLength255
start_cursor: Optional[str]

Cursor pointing to the first item in the current page

minLength1
maxLength255
permissions: Optional[Dict[str, Dict[str, bool]]]

Permissions granted to the authenticated principal for this resource. Only populated when the 'expand[]=permissions' query parameter is provided. Keys are resource types (e.g., "organizations"), values are objects mapping permission names to boolean values indicating if the permission is granted.

List Identities

from keycardai_api import KeycardAPI

client = KeycardAPI()
response = client.organizations.list_identities(
    organization_id="x",
)
print(response.items)
{
  "items": [
    {
      "id": "ab3def8hij2klm9opq5rst7uvw",
      "created_at": "2019-12-27T18:11:19.117Z",
      "email": "dev@stainless.com",
      "role": "org_admin",
      "source": "https://example.com",
      "status": "active",
      "type": "user",
      "updated_at": "2019-12-27T18:11:19.117Z",
      "permissions": {
        "organizations": {
          "read": true,
          "update": true
        },
        "users": {
          "read": true,
          "list": true
        }
      }
    }
  ],
  "page_info": {
    "has_next_page": true,
    "has_prev_page": true,
    "end_cursor": "x",
    "start_cursor": "x"
  },
  "pagination": {
    "after_cursor": "x",
    "before_cursor": "x",
    "total_count": 0
  },
  "permissions": {
    "organizations": {
      "read": true,
      "update": true
    },
    "users": {
      "read": true,
      "list": true
    }
  }
}
Returns Examples
{
  "items": [
    {
      "id": "ab3def8hij2klm9opq5rst7uvw",
      "created_at": "2019-12-27T18:11:19.117Z",
      "email": "dev@stainless.com",
      "role": "org_admin",
      "source": "https://example.com",
      "status": "active",
      "type": "user",
      "updated_at": "2019-12-27T18:11:19.117Z",
      "permissions": {
        "organizations": {
          "read": true,
          "update": true
        },
        "users": {
          "read": true,
          "list": true
        }
      }
    }
  ],
  "page_info": {
    "has_next_page": true,
    "has_prev_page": true,
    "end_cursor": "x",
    "start_cursor": "x"
  },
  "pagination": {
    "after_cursor": "x",
    "before_cursor": "x",
    "total_count": 0
  },
  "permissions": {
    "organizations": {
      "read": true,
      "update": true
    },
    "users": {
      "read": true,
      "list": true
    }
  }
}